/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.webkit.WebChromeClient;
import android.webkit.WebView;

public class CustomChromeClient extends WebChromeClient{
			   
	Context context;
	ProgressDialog d = null;
	Activity activity;
	
	public CustomChromeClient(Context c, Activity act){
		context = c;
		activity = act;
	}
	
	//When a page is loading, this event is triggered. This is used
	//to catch this event and display a loading screen
	public void onProgressChanged(WebView view, int progress) {
	    if(d == null){ 
	    	d = ProgressDialog.show(context, "", "Loading Page. Please wait...", true);
	     }
	    
	    //Update the progress so it goes to 100, not 1
	    activity.setProgress(progress * 100);
	      
	     if(progress == 100){
	    	 d.dismiss();
	    	 d = null; //Important to set this to null, so it can be re-used
	     }     
	}
	
}