/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.net.ConnectivityManager;
import android.webkit.WebView;
import android.webkit.WebViewClient;

//Used to prevent clicking a link from making the url bar visible
public class CustomWebViewClient extends WebViewClient {
	Context context;
	ProgressDialog pd = null;
	Activity activity;
	
	public CustomWebViewClient(Context c, Activity act){
		context = c;
		activity = act;
	}
	
	//Intercept any link clicked and update the WebView
	public boolean shouldOverrideUrlLoading(final WebView view, final String url) {
		//tel:1-416-979-5000,12119#
		if(url.matches("^tel:.*")){
			PhoneDialog d = new PhoneDialog(context,url);
			//d.setTelNum(url);
			d.show();
			return true;
		}
		else{
			if(isOnline()) view.loadUrl(url);
			else view.loadUrl("file:///android_asset/noConnection.html");
			return true;
		}
    } 
	
	 public boolean isOnline(){
	    	ConnectivityManager cm = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
	        boolean online;
	        if(cm.getActiveNetworkInfo()!=null){
	        	online = cm.getActiveNetworkInfo().isConnectedOrConnecting();
	        }
	        else{
	        	online = false;
	        	AlertBox.show("No Internet Connection", "Please check your Network Settings and try again later.", context);
	        }
	        return online;
	    }
}