/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

import com.google.zxing.integration.android.IntentIntegrator;
import com.google.zxing.integration.android.IntentResult;
import  com.ryerson.LibMobile.R;
import  com.ryerson.LibMobile.R.id;
import com.ryerson.LibMobile.R.layout;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;
import android.view.View;
import android.view.View.OnClickListener;

public class ExtraMenu extends Activity{	
	
	private String lv_arr[] = { "Barcode Reader", "Sample Result" };

	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.extra_applications);
		final Button b = (Button) findViewById(R.id.Button01);
		final EditText t = (EditText) findViewById(R.id.EditText01);
		b.setOnClickListener(new OnClickListener() {

			public void onClick(View v) {
				Intent intent = new Intent(v.getContext(),BarcodeResult.class);
				Bundle bundle = new Bundle();
				bundle.putString("ISBN",t.getText().toString());
			
				//Add this bundle to the intent
				intent.putExtras(bundle);
				
				startActivity(intent); 
			}
		});
	}
	
	public void startBarcodeReader(){
		IntentIntegrator.initiateScan(ExtraMenu.this, "Install Barcode Scanner?", "This application requires Barcode Scanner. Would you like to install it?", "Yes", "No", "UPC_A,UPC_E,EAN_8,EAN_13,CODE_39,CODE_93,CODE_128");
	}
	
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		switch(requestCode) {
		    case IntentIntegrator.REQUEST_CODE: {
		        if (resultCode != RESULT_CANCELED) {
		            IntentResult scanResult = IntentIntegrator.parseActivityResult(requestCode, resultCode, data);
		            if (scanResult != null) {
		                scanResult.getContents();
		            	
		               Intent intent = new Intent(ExtraMenu.this,BarcodeResult.class);
						//data.
		                Bundle bundle = new Bundle();
						bundle.putString("ISBN",scanResult.getContents()); 
						
						//Add this bundle to the intent
						intent.putExtras(bundle);
						
						startActivity(intent); 
		            }
		        }
		        break;
		    }
		}
	   //End this application so that it can return to the main page
	  // finish();

	} 
	
}
