/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

import  com.ryerson.LibMobile.R;
import  com.ryerson.LibMobile.R.id;
import  com.ryerson.LibMobile.R.layout;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager.LayoutParams;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;

public class LoginDialog extends Dialog{ 
	//Needed for the action listeners to make changes to the Dialog
	private LoginDialog dialog = this;
	private String username;
	private String password;
	private boolean remember;
	private boolean OK;
	
	public LoginDialog(Context context) {
		super(context); 
		requestWindowFeature(Window.FEATURE_NO_TITLE);
	}
	
	public void setUsername(String u){
		username = u;
	}
	
	public void setPassword(String p){
		password = p;
	}
	
	 public void onCreate(Bundle savedInstanceState){
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.login);
	        //this.setTitle("Login");
	        LayoutParams params = getWindow().getAttributes(); 
	        params.width = LayoutParams.FILL_PARENT; 
	        getWindow().setAttributes((android.view.WindowManager.LayoutParams) params); 
	       //this.requestWindowFeature(this.getWindow().FEATURE_CUSTOM_TITLE);
	        
	        OK = false;
	        
	        final EditText usernameField = (EditText) findViewById(R.id.usernameField);
        	final EditText passwordField = (EditText) findViewById(R.id.passwordField);
        	final CheckBox checkbox = ((CheckBox) findViewById(R.id.rememberBox));
	        
        	//Load the data into the field if it is already stored
	        if(((password!=null && username!=null) && (!password.equals("") || !username.equals("")))){
	        	usernameField.setText(username);
	        	passwordField.setText(password);
	        	checkbox.setChecked(true);
	        }
	        else{
	        	usernameField.setText("");
	        	passwordField.setText("");
	        	checkbox.setChecked(false);
	        }
	        
	        //Create some listeners for the buttons
	       
	        //Cancel Button
	        Button cancelBtn = (Button) findViewById(R.id.cancelButton);
	        cancelBtn.setOnClickListener(new View.OnClickListener() {
	            public void onClick(View v) {
	            	dialog.dismiss();
	            	OK=false;
	            }
	        });
	        
	        //OK Button
	        Button okBtn = (Button) findViewById(R.id.okButton);
	        okBtn.setOnClickListener(new View.OnClickListener() {
	            public void onClick(View v) {
	            	//Read in the data from the form
	            	
	            	remember = ((CheckBox) findViewById(R.id.rememberBox)).isChecked();
	            	
	            	username = usernameField.getText().toString();
	            	password = passwordField.getText().toString();
	            	OK=true;
	            	dialog.dismiss();
	            }
	        });
	 }
	 
	 public String getUserrname(){
		 return username;
	 }
	 
	 public String getPassword(){
		 return password;
	 }
	 
	 public boolean isChecked(){
		 return remember;
	 }
	 
	 public boolean isOK(){
		 return OK;
	 }
}
